{
  description = "My Shit Ass Nix Build";

  outputs = inputs @ {
    self,
    nixpkgs,
    ...
  }: rec {
    # The output for your laptop build
    nixosConfigurations = {
      brandon-laptop = nixpkgs.lib.nixosSystem {
        specialArgs = {inherit self inputs;};
        modules = [
          ./hosts/brandon-laptop #individual config
          ./modules/desktop #share configs
        ];
      };

      brandon-desktop = nixpkgs.lib.nixosSystem {
        specialArgs = {inherit self inputs;};
        modules = [
          ./hosts/brandon-desktop #individual config
          ./modules/desktop #share configs
        ];
      };
    };
  };

  # Flake inputs, think of it as external repos
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };
}